#include <ESP8266WiFi.h>
#include <WiFiClient.h>
//#include <ESP8266HTTPClient.h>
#include <ESP8266WebServer.h>
#include <FS.h>
#include <stdio.h>
#include "setup.h"

// define your expected field names here
/* #define cfg_device_id 0 */
/* #define cfg_wifi_ssid 1 */
/* #define cfg_wifi_key 2 */
/* #define cfg_server 3 */
/* const char *form_fields[] = {"device-id" "wifi-ssid" "wifi-key" "server"}; */
/* int number_of_fields = sizeof(form_fields); */
/* const char *config[4] = {}; */

//int number_of_fields = 4; //sizeof(form_fields) - 1;

#define cfg_device_id 0
#define cfg_wifi_ssid 1
#define cfg_wifi_key 2
#define cfg_server 3

const char *form_fields[] = {"device-id", "wifi-ssid", "wifi-key", "server"};
char config[4][50] = {};


void wifi_join_network() {
  WiFi.mode(WIFI_STA);
  WiFi.hostname("flash-httpd");
  WiFi.begin("WEMOS", "SNAPWIRE");
  // Wait until we're connected.
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("WiFi connected");
  // Print the IP address
  Serial.print("Use this URL to connect: ");
  Serial.print("http://");
  Serial.print(WiFi.localIP());
  Serial.println("/");
}


void setup() {
  Serial.begin(115200);
  SPIFFS.begin();
  config_startup("/config.txt", form_fields, config, sizeof(form_fields));
  /* startup(); */
  /* setup_mode(); */
}


void loop() {
  // dummy does nothing unless in access point mode
  config_handler();
  //server.handleClient();
  }
